Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PolicyError Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_PolicyError

[legend]
Collaboration diagram for CORBA_PolicyError:

[legend]
List of all members.

## Public Methods
| CORBA_PolicyError (void)
| CORBA_PolicyError (const CORBA_PolicyError &)
| ~CORBA_PolicyError (void)
CORBA_PolicyError& | operator= (const CORBA_PolicyError &)
virtual void | _raise (void)
virtual void | _tao_encode ( TAO_OutputCDR &, CORBA::Environment & ) const
virtual void | _tao_decode ( TAO_InputCDR &, CORBA::Environment & )
| CORBA_PolicyError ( CORBA::PolicyErrorCode _tao_reason )
virtual CORBA::TypeCode_ptr | _type (void) const
## Public Attributes
CORBA::PolicyErrorCode | reason
## Static Public Methods
void | _tao_any_destructor (void*)
CORBA_PolicyError* | _downcast (CORBA::Exception *)
CORBA::Exception* | _alloc (void)

## Constructor & Destructor Documentation

CORBA_PolicyError::CORBA_PolicyError ( | void )

CORBA_PolicyError::CORBA_PolicyError ( | const CORBA_PolicyError & )

CORBA_PolicyError::~CORBA_PolicyError ( | void )

CORBA_PolicyError::CORBA_PolicyError ( | CORBA::PolicyErrorCode _tao_reason )

## Member Function Documentation

CORBA::Exception* CORBA_PolicyError::_alloc ( | void )`[static]`

CORBA_PolicyError* CORBA_PolicyError::_downcast ( | CORBA::Exception * )`[static]`

virtual void CORBA_PolicyError::_raise ( | void )`[virtual]`

void CORBA_PolicyError::_tao_any_destructor ( | void * x )`[static]`

virtual void CORBA_PolicyError::_tao_decode ( | TAO_InputCDR &,
| CORBA::Environment & )`[virtual]`

virtual void CORBA_PolicyError::_tao_encode ( | TAO_OutputCDR &,
| CORBA::Environment & ) const`[virtual]`

virtual CORBA::TypeCode_ptr CORBA_PolicyError::_type ( | void ) const`[virtual]`

CORBA_PolicyError& CORBA_PolicyError::operator= ( | const CORBA_PolicyError & )

## Member Data Documentation

CORBA::PolicyErrorCode CORBA_PolicyError::reason

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp